$simple-white-color:            ("base": var(--white-color));
$simple-black-color:            ("base": var(--black-color));
$simple-overlay-color:          ("base": var(--overlay-color));
$simple-transparent-color:      ("base": var(--transparent-color));

$simple-gray-50-color:          ("base": var(--gray-50-color));
$simple-gray-100-color:         ("base": var(--gray-100-color));
$simple-gray-200-color:         ("base": var(--gray-200-color));
$simple-gray-300-color:         ("base": var(--gray-300-color));
$simple-gray-400-color:         ("base": var(--gray-400-color));
$simple-gray-500-color:         ("base": var(--gray-500-color));
$simple-gray-600-color:         ("base": var(--gray-600-color));
$simple-gray-700-color:         ("base": var(--gray-700-color));
$simple-gray-800-color:         ("base": var(--gray-800-color));
$simple-gray-900-color:         ("base": var(--gray-900-color));


// $simple-primary-color:          ("base": var(--primary-color),    "dark": var(--primary-dark-color));
$simple-default-color:          ("base": var(--default-color));
$simple-primary-color:          ("base": var(--primary-color));
$simple-secondary-color:        ("base": var(--secondary-color));
$simple-info-color:             ("base": var(--info-color));
$simple-success-color:          ("base": var(--success-color));
$simple-warning-color:          ("base": var(--warning-color));
$simple-danger-color:           ("base": var(--danger-color));


$tab-simple-color: (
    "white":                    $simple-white-color,
    "black":                    $simple-black-color,
    "overlay":                  $simple-overlay-color,
    "transparent":              $simple-transparent-color,

    "gray-50":                  $simple-gray-50-color,
    "gray-100":                 $simple-gray-100-color,
    "gray-200":                 $simple-gray-200-color,
    "gray-300":                 $simple-gray-300-color,
    "gray-400":                 $simple-gray-400-color,
    "gray-500":                 $simple-gray-500-color,
    "gray-600":                 $simple-gray-600-color,
    "gray-700":                 $simple-gray-700-color,
    "gray-800":                 $simple-gray-800-color,
    "gray-900":                 $simple-gray-900-color,

    "primary":                  $simple-primary-color,
    "secondary":                $simple-secondary-color,
    "info":                     $simple-info-color,
    "success":                  $simple-success-color,
    "warning":                  $simple-warning-color,
    "danger":                   $simple-danger-color

);


@include generate-color($tab-simple-color);

.gray-50, .gray-100, .gray-200, .gray-300, .gray-400
.white {
    --var-text-color: var(--font-color-normal);
}
